View Issue Details

IDProjectCategoryView StatusLast Update
0012735mantisbtupgradepublic2012-11-05 10:11
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.4 
Target Version1.2.5Fixed in Version1.2.5 
Summary0012735: Update upgrade script to handle retries in case of timeouts for large databases
Description

This is to work around upgrading from previous versions that used DATEIME for timestamps. The upgrade logic to move to an int can timeout. This change is a continuation of the work done in 0012601 to handle tables with more than one field in the same row.

TagsNo tags attached.

Relationships

related to 0012601 closedvboctor Upgrading scripts sometimes fails with a server error in case of large databases 
related to 0014830 closeddregad Upgrade from version 1.1.7 to 1.2.11 - Issue History Date always empty 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.2.x a8f6d4ce

2011-02-02 07:58:09

vboctor

Details Diff
Fix 0012735: Update upgrade script to handle retries in case of timeouts for large databases
mod - admin/install_functions.php Diff File

MantisBT: master f2bc9c73

2011-02-02 07:58:09

vboctor

Details Diff
Fix 0012735: Update upgrade script to handle retries in case of timeouts for large databases
mod - core/install_helper_functions_api.php Diff File

MantisBT: master-1.2.x a0fbeebf

2012-11-05 15:05:01

dregad

Details Diff
Documentation: note on upgrading large databases

Added a comment on how to handle the failure to process the date
conversion in a single setup for large databases, as documented in
issues 0012601, 0012735 and 0014830
mod - docbook/administration_guide/en/installation.sgml Diff File

MantisBT: master f46b71f6

2012-11-05 15:05:01

dregad

Details Diff
Documentation: note on upgrading large databases

Added a comment on how to handle the failure to process the date
conversion in a single setup for large databases, as documented in
issues 0012601, 0012735 and 0014830
mod - docbook/Admin_Guide/en-US/Installation.xml Diff File

Issue History

Date Modified Username Field Change
2011-02-02 02:57 vboctor New Issue
2011-02-02 02:57 vboctor Status new => assigned
2011-02-02 02:57 vboctor Assigned To => vboctor
2011-02-02 02:58 vboctor Changeset attached => MantisBT master-1.2.x a8f6d4ce
2011-02-02 02:58 vboctor Resolution open => fixed
2011-02-02 02:58 vboctor Fixed in Version => 1.2.5
2011-02-02 03:47 vboctor Changeset attached => MantisBT master f2bc9c73
2011-02-02 03:48 vboctor Status assigned => resolved
2011-04-05 14:23 jreese Status resolved => closed
2012-11-05 09:44 dregad Relationship added related to 0014830
2012-11-05 09:47 dregad Relationship added related to 0012601
2012-11-05 10:11 dregad Changeset attached => MantisBT master-1.2.x a0fbeebf
2012-11-05 10:11 dregad Changeset attached => MantisBT master f46b71f6